package com.qmth.distributed.print.business.service;

import com.qmth.boot.core.solar.model.AppInfo;

/**
 * @Description: 授权信息service
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2022/5/17
 */
public interface AuthInfoService {

    /**
     * 授权信息初始化
     *
     * @return
     */
    AppInfo appInfoInit();

    /**
     * app是否过期
     *
     * @param code
     */
    void appHasExpired(String code);

    /**
     * 离线激活
     *
     * @param licenseData
     */
    void updateLicense(byte[] licenseData);
}
